ubuntu/+source/pciutils:ubuntu/eoan

Last commit made on 2019-07-09
Get this branch:
git clone -b ubuntu/eoan https://git.launchpad.net/ubuntu/+source/pciutils
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/eoan
Repository:
lp:ubuntu/+source/pciutils

Recent commits

33ec790... by Guillem Jover <email address hidden> on 2019-07-07

Import patches-unapplied version 1:3.6.2-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 76ec5d527dec7f251f7393672045c481675581af

New changelog entries:
  * Switch from debian/compat to debhelper-compat in Build-Depends.
  * Switch to Standards-Version 4.4.0.
  * Update pci.ids file to latest version 2019.06.30.

76ec5d5... by Guillem Jover <email address hidden> on 2019-04-10

Import patches-unapplied version 1:3.6.2-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 61bffeb7cde0ee720eb15476163db5b2009c617d

New changelog entries:
  * New upstream release. Closes: #895425
    - Refresh patches.
    - Remove 03-pci.ids.patch, the pci.ids is now up-to-date.
  * Namespace debhelper fragment files with binary package name.
  * Update debian/control:
    - Remove obsolete dependencies on pciutils-dev and libpci2.
    - Remove duplicate or inflated Priority fields.
    - Line-wrap and sort fields.
    - Remove Build-Depends on dpkg-dev satisfied in oldstable.
    - Set Rules-Requires-Root to no.
    - Replace pathname for static library with just a reference to it in the
      packages description.
    - Switch to Standards-Version 4.3.0.
  * Switch to debhelper compatibility level 12.
  * Remove pcimodules program, superseded by «lspci -k».
    Closes: #599335, #893966
  * Remove trailing whitespace.
  * Update debian/rules:
    - Remove obsolete source and diff targets.
    - Do not set DH_VERBOSE by default.
    - Refactor all build system flags into a confflags variable.
    - Run debhelper commands for all packages.
    - Fix targets and dependencies.
    - Line wrap long rules command.
    - Enable hardening flags.
  * Install example.c in libpci-dev instead of pciutils.
  * Switch pciutils-udeb to link dynamically against libpci3-udeb.
  * Fix upstream build system to install the static library with install-lib.
  * Switch to use the upstream build system and debhelper fragment files to
    install the packaged files into their correct place:
    - Make the upstream build system install programs, header and libraries.
    - Move ad-hoc installation from debian/rules into debhelper install
      fragment files.
    - Remove unused debhelper dirs fragment files.
  * Reformat maintainer scripts.
    - Use two-space indentation.
    - Remove space in shebang.
    - Do not use old-style quotes.
  * Add new symbols file for the shared library.
  * Add a lintian override for shlib-calls-exit, as the library does call
    exit(3) by default, but makes it possible for the caller to setup a
    different error handler.
  * Fix typos in man pages.
  * Fix fortify compiler warnings.
  * Make the libpci-dev package Multi-Arch same. Closes: #721270
  * Add metadata to patch files.

61bffeb... by Guillem Jover <email address hidden> on 2019-04-09

Import patches-unapplied version 1:3.5.2-5 to debian/sid

Imported using git-ubuntu import.

Changelog parent: e58e5d8f49d6eaaa63de4ef41e8bfa4eb9c7a907

New changelog entries:
  * Modify the upstream build system to recognize GNU style system names.
    This way we can upstream these changes, and avoid unwieldy mappings.

e58e5d8... by Guillem Jover <email address hidden> on 2019-04-08

Import patches-unapplied version 1:3.5.2-4 to debian/sid

Imported using git-ubuntu import.

Changelog parent: a9d419627c6174d85743ea87015a40a6fd4069c6

New changelog entries:
  * Use expected system name for HOST variable.
    - Switch to use DEB_HOST_GNU_SYSTEM instead of DEB_HOST_ARCH_OS.
      This fixes the build failure on GNU/Hurd.
    - Map GNU/k*BSD OS names to their non k-prefixed names.
      This fixes the build failure on GNU/kFreeBSD.
  * Pass HOST as a make variable instead of through the environment as the
    Makefile sets a default empty value. This makes the build reproducible.

a9d4196... by Guillem Jover <email address hidden> on 2019-04-05

Import patches-unapplied version 1:3.5.2-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 31b304a97e1eeac2163e4caa3b25f15d33d135c3

New changelog entries:
  * Salvage package. Closes: #923799, #925097
    Thanks to the previous maintainers for all their past work.
  * Add Vcs-Browser and Vcs-Git fields.
  * Update Homepage field URL. Closes: #893965
  * Update debian/copyright:
    - Remove original packaging information, present in the changelog.
    - Stop claiming the Linux kernel uses GPL-2+. Closes: #688680
    - Switch to machine parseable format 1.0.
    - Update copyright statements.
  * Add upstream signing key.
  * Update debian/watch:
    - Switch to format version 4.
    - Switch to the main upstream site, which provides usable signatures.
    - Enable signature checks.
  * Improve package descriptions.
  * Use https in update-pciids. Closes: #805328
  * Update pci.ids file to latest version 2019.04.04.
  * Make build reproducible, by unconditionally setting HOST.
    Thanks to Chris Lamb <email address hidden> for the initial investigation.
    Closes: #849968

31b304a... by Anibal Monsalve Salazar on 2016-11-30

Import patches-unapplied version 1:3.5.2-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 699678b243464aa1f1f3aa801053564bd8cd6aaa

New changelog entries:
  [ Anibal Monsalve Salazar ]
  * New upstream version 3.5.2
  * Update pci.ids with version 2016.11.21
  * Refresh patches
  * Standards-Version: 3.9.8
  [ Helmut Grohne ]
  * Fix FTCBFS (Closes: 834794)
    - export cross $PKG_CONFIG
    - export cross $HOST

699678b... by Samuel Thibault <email address hidden> on 2016-11-22

Import patches-unapplied version 1:3.3.1-1.2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: cda0968dba05a9f6dce836350252d552eb7de037

New changelog entries:
  * Non-maintainer upload.
  * Fix linking on non-linux architectures by cleaning link rules.
    (Closes: #815669)

cda0968... by Laurent Bigonville on 2016-01-13

Import patches-unapplied version 1:3.3.1-1.1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 6dc6f4336945486d100f3bf6ec71be272a84a6c6

New changelog entries:
  * Non-maintainer upload.
  * Enable libkmod support on linux architectures (Closes: #807043)
  * Enable udev hwdb support on linux architectures

6dc6f43... by Anibal Monsalve Salazar on 2015-08-11

Import patches-unapplied version 1:3.3.1-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 0d8b0f304fe69c4168471e3b8aa16088ddc10fa5

New changelog entries:
  * New upstream version 3.3.1
    Closes: #773165
  * Update pci.ids with version 2015.07.31
  * Merged upstream:
    05-674708-setpci.man.patch
    06-675087-update-pciids.man.patch
  * Refresh patches.
  * Debian policy version is 3.9.6
  * Make the build reproducible
    Patch by Reiner Herrmann
    Closes: #783144
  * Fix wrong option for modprobe in man page of pcimodules
    Patch by Maximiliano Curia
    Closes: #613626

0d8b0f3... by Anibal Monsalve Salazar on 2014-09-09

Import patches-unapplied version 1:3.2.1-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 3cb283bad234a341e538403ef71ebe24a73ae2fe

New changelog entries:
  * Update pci.ids with version 2014.09.09.
  * Use default compression for binary packages.
  * Refresh patches.